列出页面

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

从指定节 检索页面 对象列表。

Permissions

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Notes.Read、Notes.ReadWrite、Notes.Read.All、Notes.ReadWrite.All
委派(个人 Microsoft 帐户) Notes.Read、Notes.ReadWrite
应用程序 Notes.Read.All、Notes.ReadWrite.All

HTTP 请求

GET /me/onenote/sections/{id}/pages
GET /users/{id | userPrincipalName}/onenote/sections/{id}/pages
GET /groups/{id}/onenote/sections/{id}/pages
GET /sites/{id}/onenote/sections/{id}/pages

可选的查询参数

此方法支持 OData 查询参数 来帮助自定义响应。

页面的默认查询返回按 排序的前 20 个页面 lastModifiedTime desc 。 如果默认查询返回的页数超过 20 个,响应中将包含 可用于分页 @odata.nextLink 浏览结果集。 请求返回的最大页面数 top 为 100。

默认响应将 parentSection 展开并选择节的 、 和 id name self 属性。 页面 expand 的有效值为 parentNotebookparentSection

请求头

名称 类型 说明
Authorization string Bearer {token}。必需。
接受 string application/json

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应正文中返回 响应代码和 200 OK onenotePage 对象集合。

示例

请求

下面是一个请求示例。

GET https://graph.microsoft.com/beta/me/onenote/sections/{id}/pages
响应

下面是一个响应示例。注意:为了简单起见,会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 200 OK
Content-type: application/json

{
  "value": [
    {
      "title": "title-value",
      "createdByAppId": "createdByAppId-value",
      "links": {
        "oneNoteClientUrl": {
          "href": "href-value"
        },
        "oneNoteWebUrl": {
          "href": "href-value"
        }
      },
      "contentUrl": "contentUrl-value",
      "content": "content-value",
      "lastModifiedDateTime": "2016-10-19T10:37:00Z"
    }
  ]
}